$(function () {
    var jSemesterSelect = $('#semesterSelect');
    var jGradeSelect = $('#gradeSelect');
    var jGroupSelect = $('#groupSelect');
    var jSpinner = $('.loadingSpinner');
    var jContent = $('.billContent');

    jSemesterSelect.change(function () {
        var sem_id = jSemesterSelect.find('option:selected').val();
        if (sem_id != 0) {
            jGradeSelect.prop('disabled', false);
        } else {
            jGradeSelect.prop('disabled', true);
            jGroupSelect.prop('disabled', true);
        }
    });

    jGradeSelect.change(function () {
        var gr_id = jGradeSelect.find('option:selected').val();
        if (gr_id) {
            jGroupSelect.prop('disabled', false);
            $.post(URLdir + 'handler/Transfer/getGroups',
                {'gradeID': jGradeSelect.find('option:selected').val()},
                function (data) {
                    jGroupSelect.html(data);
                });
        } else {
            jGroupSelect.prop('disabled', true);
        }
    });

    jGroupSelect.change(function () {
        var gr_id = jGroupSelect.find('option:selected').val();
        if (gr_id) {
            jContent.css('display', 'none');
            jSpinner.css('display', 'block');
            $.post(URLdir + 'office/bill/group/' + gr_id,
                function (data) {
                    jSpinner.css('display', 'none');
                    jContent.html(data);
                    jContent.css('display', 'block');
                });
        }
    });
});